Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Interface Encryptor

All Known Implementing Classes:
  AesEncryptor, Blowfish

    public interface Encryptor

Method Summary
`String` | `decrypt(String value)` Decrypt an encrypted String.
`String` | `encrypt(String value)` Encrypt a clear text String.
`void` | `setKey(String key)` Set the encryption key.

Method Detail

### encrypt

    String encrypt(String value)

  Encrypt a clear text String.

  Parameters:
    `value` - The clear text attribute
  Returns:
    The encrypted attribute, or null

### decrypt

    String decrypt(String value)

  Decrypt an encrypted String.

  Parameters:
    `value` - The encrypted attribute in Base64 encoding
  Returns:
    The clear text attribute, or null

### setKey

    void setKey(String key)

  Set the encryption key. This will apply the user-defined key, truncated or filled (via the default key) as needed to meet the key length specifications.

  Parameters:
    `key` - The encryption key

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.